<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.xxfc.platform.vehicle.mapper.BranchCompanyStockApplyInfoMapper" >

    <select id="selectVoAll" resultType="com.xxfc.platform.vehicle.pojo.BranchCompanyStockApplyInfoVo">
      select a.*, b.`name` as companyName,r.id as companyId
      from branch_company_stock_apply_info a
      left join branch_company_stock_info_right r on a.company_base_id=r.id
      left join company_base b on b.id=r.company_base_id
      order by a.create_time desc
    </select>

</mapper>